clang 8.0.0

Static Public Member Functions | List of all members
llvm::DenseMapInfo< EditEntry > Struct Template Reference

## Static Public Member Functions
static EditEntry | getEmptyKey ()
static EditEntry | getTombstoneKey ()
static unsigned | getHashValue (const EditEntry &Val)
static bool | isEqual (const EditEntry &LHS, const EditEntry &RHS)

## Detailed Description

### template<>
struct llvm::DenseMapInfo< EditEntry >

Definition at line 2047 of file ObjCMT.cpp.

## Member Function Documentation

## ◆ getEmptyKey()

static EditEntry llvm::DenseMapInfo< EditEntry >::getEmptyKey | ( |  | ) |
| inline static

Definition at line 2048 of file ObjCMT.cpp.

## ◆ getHashValue()

static unsigned llvm::DenseMapInfo< EditEntry >::getHashValue | ( | const EditEntry & | Val | ) |
| inline static

Definition at line 2058 of file ObjCMT.cpp.

## ◆ getTombstoneKey()

static EditEntry llvm::DenseMapInfo< EditEntry >::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 2053 of file ObjCMT.cpp.

## ◆ isEqual()

static bool llvm::DenseMapInfo< EditEntry >::isEqual | ( | const EditEntry & | LHS,
|  | const EditEntry & | RHS
| ) |  |
| inline static

Definition at line 2066 of file ObjCMT.cpp.

References clang::FileManager::getFile(), Node, and SM.

The documentation for this struct was generated from the following file:

- lib/ARCMigrate/ObjCMT.cpp